summaryrefslogtreecommitdiff
path: root/debian/libpam0g.postinst
diff options
context:
space:
mode:
authorSteve Langasek <vorlon@debian.org>2011-10-30 14:39:11 -0400
committerSteve Langasek <vorlon@debian.org>2019-01-08 22:11:47 -0800
commit336cc6613a41b1503e658ae2158caaf7e9a87688 (patch)
treea1fcc68ae525860f9f0dd7842ed4c8ed54af78e7 /debian/libpam0g.postinst
parente574b31229426d7aa4e35ca9afbc2704e06cff5f (diff)
debian/libpam0g.templates, debian/libpam0g.postinst: add a new question,
libraries/restart-without-asking, that allows admins to accept the service restarts once for all so that they don't have to repeatedly say "ok". LP: #745004.
Diffstat (limited to 'debian/libpam0g.postinst')
-rw-r--r--debian/libpam0g.postinst23
1 files changed, 14 insertions, 9 deletions
diff --git a/debian/libpam0g.postinst b/debian/libpam0g.postinst
index eca8957e..bc8a52f2 100644
--- a/debian/libpam0g.postinst
+++ b/debian/libpam0g.postinst
@@ -112,17 +112,22 @@ then
echo "Checking init scripts..."
services=$(installed_services "$check")
if [ -n "$services" ]; then
- db_reset libpam0g/restart-services
- db_set libpam0g/restart-services "$services"
- db_input critical libpam0g/restart-services || true
+ db_input critical libraries/restart-without-asking || true
db_go || true
- db_get libpam0g/restart-services
+ db_get libraries/restart-without-asking
+ if [ "$RET" != true ]; then
+ db_reset libpam0g/restart-services
+ db_set libpam0g/restart-services "$services"
+ db_input critical libpam0g/restart-services || true
+ db_go || true
+ db_get libpam0g/restart-services
- if [ "x$RET" != "x" ]
- then
- services=$RET
- else
- services=""
+ if [ "x$RET" != "x" ]
+ then
+ services=$RET
+ else
+ services=""
+ fi
fi
echo
if [ "$services" != "" ]; then